Subject: [Suggestion] ARM: allmodconfig: about cross compiling failure under i386 ubuntu.

From: [email-masked] (Tony Lindgren)
Date: Thu, 22 Aug 2013 00:45:24 -0700

* Chen Gang <[email-masked]> [130821 01:53]:
> Hello Maintainers:
> 
> When build arm with allmodconfig under ubuntu i386 with arm-linux-
> gnueabi-gcc 4.7, as 2.22, it report the errors.
> 
> Please help check, thanks (the related config file in attachment).

It seems that some make flags may need to be specified separately
in some makefiles. See the following for some examples:

$ find arch/arm -name Makefile | xargs grep -i flags

I'm getting different errors though, I'm getting:

arch/arm/mach-zynq/hotplug.c:1: error: bad value (cortex-a9) for -mcpu= switch

As probably my compiler does not support the cortex-a9 switch,
I have gcc version 4.3.5 (Debian 4.3.5-4), tried with v3.11-rc5.

Regards,

Tony